Ассоциация ЭБНИТ    ИРБИС-корпорация    Вики-Ирбис    Online/CHM справка Ирбис    FTP-сервер
J-ИРБИС :  ИРБИС Irbis
 
Joomla 3.0
Пользователь: KazATU (IP-адрес скрыт)
Дата: 11, November, 2019 00:56

Добрый вечер,

Появились проблемы с Joomla 2.5 а именно с шаблоном, насколько сложен перевод компонентов JIRBIS 2.0 на Joomla 3? Следуя по информационной безопасности так как Joomla 2.5 есть вероятность взлома от хакерских атак и Joomla 2.5 версии перестали развиваться.

С уважением
Олжас

Re: Joomla 3.0
Пользователь: Кирилл Соколинский (СЗТУ) (IP-адрес скрыт)
Дата: 15, November, 2019 16:09

KazATU написал(а):
-------------------------------------------------------
> Добрый вечер,
>
> Появились проблемы с Joomla 2.5 а именно с
> шаблоном,

Опишите, пожалуйста, какие именно проблемы с шаблоном имели место.

> насколько сложен перевод компонентов
> JIRBIS 2.0 на Joomla 3?

Перевод J-ИРБИС 2.0 на актуальные версии PHP и MySQL, а также на Joomla 3.X планируется.

Интеграция, в очерченных Документацией рамках возможна, возможна (см. соответствующий раздел документации), полный перевод на текущий момент невозможен.

> Следуя по информационной
> безопасности так как Joomla 2.5 есть вероятность
> взлома от хакерских атак и Joomla 2.5 версии

Во-первых, EOL обновления для Joomla 2.5 выпускаются, так как сообщество пользователей модуля ещё достаточно велико.

Во-вторых, почему Вы считаете, что в продукте, который вышел достаточно давно, больше уязвимостей чем в продукте, который появился недавно?

Вы можете привести хоть одну известную уязвимость Joomla 2.5.28?

Я в течение нескольких месяцев наблюдал сканирование профессиональными хакерами с разных IP сдресов нескольких сайтов, которые контролирую (протоколы этих сканирований сохранились). Но ни один из этих сайтов не был взломан...



Редактировано 1 раз. Последний раз 16.11.2019 15:59 пользователем Кирилл Соколинский (СЗТУ).

Re: Joomla 3.0
Пользователь: KazATU (IP-адрес скрыт)
Дата: 16, November, 2019 23:57

1. Установили шаблон из серии hotjoomlatemplates а именно HotAcademy;
При изменение шаблона выходили ошибки

Warning: domdocument::domdocument() expects at least 1 parameter, 0 given in tadmin.php on line 100;

пришлось отключить
;extension=php_domxml.dll
и вышла предупреждение

Warning: fread() [function.fread]: Length parameter must be greater than 0 in C:\jirbis2_server\htdocs\jirbis2\templates\hot_academy\elements\tadmin.php on line 74


Если атаки не будет то хорошо, мы лишь следуем по рекомендациям

Re: Joomla 3.0
Пользователь: Кирилл Соколинский (СЗТУ) (IP-адрес скрыт)
Дата: 17, November, 2019 17:26

KazATU написал(а):
-------------------------------------------------------
> и вышла предупреждение
> Warning: fread() : Length parameter must be

Я никак не могу гарантировать качество всех шаблонов, представленных в сети Интернет... У Вас есть только 2 варианта: выбирать качественные шаблоны или исправлять ошибки в проблемных шаблонах.



Редактировано 1 раз. Последний раз 17.11.2019 17:27 пользователем Кирилл Соколинский (СЗТУ).



Извините, только зарегистрированные пользователи могут писать в этом форуме.
This forum powered by Phorum.